Name:           xmakemol
Version:        5.16
Release:    1%{?dist}
Summary:        Program for visualizing atomic and molecular systems
License:        GPLv2+
URL:            https://www.nongnu.org/xmakemol/
Source0:        http://savannah.nongnu.org/download/xmakemol/xmakemol-%{version}.tar.gz

Patch0:         xmakemol-5.16-fsf.patch
Patch1:         xmakemol-5.16-fix_vectors_on_atoms.patch
Patch2:         xmakemol-5.16-h-bond.patch
Patch3:         xmakemol-5.16-print_torsions.patch
Patch4:         xmakemol-5.16-extern.patch
Patch5:         xmakemol-5.16-widget.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  mesa-libGLU-devel
BuildRequires:  mesa-libGLw-devel
BuildRequires:  libX11-devel
BuildRequires:  libXi-devel
BuildRequires:  libXpm-devel
BuildRequires:  libICE-devel
BuildRequires:  zlib-devel
BuildRequires:  motif-devel
BuildRequires:  freeglut-devel

%description
XMakemol is a mouse-based program, written using the LessTif widget
set, for viewing and manipulating atomic and other chemical
systems. It reads XYZ input and renders atoms, bonds and hydrogen
bonds.  Features include:
- Animating multiple frame files
- Interactive measurement of bond lengths, bond angles and torsion angles
- Control over atom/bond sizes
- Exporting to Xpm, Encapsulated PostScript and XYZ formats
- Toggling the visibility of groups of atoms
- Editing the positions of subsets of atoms

%prep
%autosetup -N
%patch0 -p1 -b .fsf
%patch1 -p0 -b .vecat
%patch2 -p1 -b .hbond
%patch3 -p1 -b .torsion
%patch4 -p1 -b .extern
%patch5 -p1 -b .widget

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS NEWS PROBLEMS README
%{_datadir}/xmakemol/
%{_bindir}/xmakemol
%{_mandir}/man1/xmakemol.1.*
%{_bindir}/xmake_anim.pl

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.16-1
- initial build
